##################################
# OS Build Options
##################################
# RHEL 3
%define build_rhel3	1
# Fedora Core
%define build_fedora	0

##################################
# Package Info
##################################
Summary:  GNOME library for CUPS integration
Name:     libgnomecups
Version:  0.1.6

# SET RPM RELEASE # HERE!!!
%define rpm_release	4

%if %{build_rhel3}
Release:		%{rpm_release}.EL
%endif

%if %{build_fedora}
Release:		%{rpm_release}
%endif

License:  LGPL
Group:    System Environment/Libraries
URL:      http://www.gnome.org


########################
Requires: cups cups-libs

BuildRequires: cups-devel
BuildRequires: glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root


##################################
# Sources
##################################
Source:    %{name}-%{version}.tar.bz2


##################################
# Description
##################################
%description
GNOME library for CUPS integration


##################################
# Devel Package info
##################################
%package devel
Summary: GNOME library for CUPS integration
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%{release}

%description devel
GNOME library for CUPS integration


##################################
# Prep/Setup
##################################
%prep
%setup -q

##################################
# Build
##################################
%build

%configure
make


##################################
# Install
##################################
%install
rm -rf %{buildroot}

%makeinstall
%find_lang %{name}


##################################
# Clean
##################################
%clean
rm -rf %{buildroot}


##################################
# Post-install stuff
##################################
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


##################################
# Files
##################################
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so


##################################
# Changelog
##################################
%changelog
* Thu Feb 05 2004 Dan Williams <dcbw@redhat.com> 0.1.6-4
- Augment NVR to differentiate Fedora Core/RHEL

* Thu Jan 22 2004 Dan Williams <dcbw@redhat.com> 0.1.6-3
- Bump for rebuild into Fedora Core 2

* Wed Dec 03 2003 Dan Williams <dcbw@redhat.com>
- Initial Red Hat RPM release.

* Sat Nov 01 2003 RunNHide <runnhide@runnhide.cjb.net>
- Initial RPM release for Fedora and Rawhide.
